Permalink
Browse files

Bumped gems and fixed mocha deprecation warning.

  • Loading branch information...
1 parent c774aae commit 53c1b8a74ff86995c56ec85eb0b71e5b8ee9a50f @fesplugas fesplugas committed Feb 19, 2013
Showing with 10 additions and 9 deletions.
  1. +7 −7 Gemfile
  2. +1 −0 test/test_helper.rb
  3. +2 −2 typus.gemspec
View
14 Gemfile
@@ -28,8 +28,8 @@ end
platforms :ruby do
gem 'mysql2', '~> 0.3.11'
- gem 'pg', '~> 0.13.2'
- gem 'sqlite3', '~> 1.3.5'
+ gem 'pg', '~> 0.14.1'
+ gem 'sqlite3', '~> 1.3.7'
end
# Typus can manage lists, trees, trashes, so we want to enable this stuff
@@ -49,22 +49,22 @@ gem 'jquery-rails'
gem "ckeditor-rails", "~> 0.0.5"
# Alternative authentication
-gem 'devise', '~> 2.0.4'
+gem 'devise', '~> 2.0.5'
# Asset Management with Dragonfly
-gem 'dragonfly', '~> 0.9.10'
+gem 'dragonfly', '~> 0.9.14'
gem 'rack-cache', :require => 'rack/cache'
# Asset Management with Paperclip
-gem 'paperclip', '~> 2.7.0'
+gem 'paperclip', '~> 2.7.5'
# MongoDB
gem 'mongoid', '~> 2.4.6'
gem 'bson_ext', '~> 1.6.1'
group :test do
- gem 'shoulda-context', '~> 1.0.0'
- gem 'mocha' # Make sure mocha is loaded at the end ...
+ gem 'shoulda-context'
+ gem 'mocha', '~> 0.12.10', :require => false
end
gem 'kaminari'
View
@@ -8,6 +8,7 @@
require "rails/test_help"
require "shoulda-context"
# require "minitest/pride"
+require "mocha"
Rails.backtrace_cleaner.remove_silencers!
View
@@ -27,8 +27,8 @@ Gem::Specification.new do |s|
s.require_paths = ["lib"]
s.add_dependency "bcrypt-ruby", "~> 3.0.1"
- s.add_dependency "jquery-rails", "~> 2.1.2"
- s.add_dependency "rails", "~> 3.2.8"
+ s.add_dependency "jquery-rails", "~> 2.2.1"
+ s.add_dependency "rails", "~> 3.2.12"
# Development dependencies are defined in the `Gemfile`.
end

0 comments on commit 53c1b8a

Please sign in to comment.